This page was created by the IDL library routine `mk_html_help2`.

Last modified: Wed Aug 27 18:18:07 2025.

# Directory Listing of Routines

# projects/lomonosov

- LOMO_INIT
  Initializes system variables for lomo. Currently the variable only contains information
- LOMO_LOAD_ATT
- LOMO_LOAD_DATA
- LOMO_LOAD_ENG
- LOMO_LOAD_EPD
- LOMO_LOAD_PRM
- LOMO_LOAD_STATE
- LOMO_RBSP_ANALYSIS
- LOMO_UI_LOAD_DATA
  This routine provides examples for building load data panel widgets and
- LOMO_UI_LOAD_DATA_LOAD_PRO
  This routine provides an example for loading data into the GUI from the load

# Routine Descriptions

## LOMO_INIT

[Next Routine] [List of Routines]

    NAME:    lomo_init

    PURPOSE:
       Initializes system variables for lomo. Currently the variable only contains information
       on lomo elfin local data directory. Lot's more features should be added. See thm_init
       for examples.

    NOTE:
       The system variable !LOMO is defined here, just like !THEMIS.
       The elements of this structure are explained below:

       !LOMO.LOCAL_DATA_DIR    This is the root location for all Lomonosov data files.
                      The Lomonosov software expects all data files to reside in specific subdirectories relative
                      to this root directory.;

       !LOMO.REMOTE_DATA_DIR   This is not implemented yet because there is no server at this point in time.
                      A URL will most likely be available after launch.

    KEYWORDS:
       RESET:           Reset !lomo to values in environment (or values in keywords).
       LOCAL_DATA_DIR:  use given value for local_data_dir, rather than environment. Only works on
                        initial call or reset.
       REMOTE_DATA_DIR: Not yet implemented.
       NO_COLOR_SETUP   do not set colors if already taken care of

    HISTORY:
     2015-04-10, moka, Created based on 'thm_init'

     $LastChangedBy: moka $
     $LastChangedDate: 2015-07-07 11:34:49 -0700 (Tue, 07 Jul 2015) $
     $LastChangedRevision: 18027 $
     $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/lomonosov/lomo_init.pro $

(See projects/lomonosov/lomo_init.pro)

## LOMO_LOAD_ATT

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      lomo_load_att
               This routine loads local ELFIN ENG Lomonosov attitude data.
    KEYWORDS (commonly used by other load routines):
      DATATYPE = (Currently downloads all data types. Should change that.)
      LEVEL    = levels include 1 (2 will be available shortly)
      TRANGE   = (Optional) Time range of interest  (2 element array), if
                 this is not set, the default is to prompt the user. Note
                 that if the input time range is not a full day, a full
                 day's data is loaded
      LOCAL_DATA_DIR = local directory to store the CDF files; should be set if
                 you're on *nix or OSX, the default currently assumes the IDL working directory
      SOURCE   = sets a different system variable. By default the MMS mission system variable
                 is !elf
      TPLOTNAMES = set to override default names for tplot variables
      NO_UPDATES = use local data only, don't query the http site for updated files.
      SUFFIX   = append a suffix to tplot variables names

    EXAMPLE:
       lomo_load_state, trange=['2016-06-24', '2016-06-25']

    NOTES:
      Need to add feature to handle more than one days worth of data
      Need to add feature to delete variables that weren't requested by the user

(See projects/lomonosov/lomo_load_att.pro)

## LOMO_LOAD_DATA

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      lomo_load_data
               This routine loads local ELFIN Lomonosov data.
               There is no server available yet so all files must
               be local. The default value is currently set to
              'C:/data/lomo/elfin/l1/'
              If you do not want to place your cdf files there you
              must change the lomonosov system variable !lomo.local_data_dir = 'yourdirectorypath'
    KEYWORDS (commonly used by other load routines):
      INSTRUMENT = options are 'fgm', 'epd', 'eng' (This will probably change
                   after launch
      DATATYPE = This is not yet implemented and may not be needed
      LEVEL    = This is not yet implemented but options will  most likely include
                 levels 1 or 2. For Elfin lomonosov fgm will be the only instrument
                 that has level 2 data. epd and eng only have level 1. Levels
                 have also not been implemented in the load panel gui.
      TRANGE   = (Optional) Time range of interest  (2 element array), if
                 this is not set, the default is to prompt the user. Note
                 that if the input time range is not a full day, a full
                 day's data is loaded

    EXAMPLE:
       lomo_load_data,probe='x'

    NOTES:
       Elfin lomonosov has limited data availability

(See projects/lomonosov/lomo_load_data.pro)

## LOMO_LOAD_ENG

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      lomo_load_eng
               This routine loads local ELFIN ENG Lomonosov data.
    KEYWORDS (commonly used by other load routines):
      DATATYPE = (Currently downloads all data types. Should change that.)
      LEVEL    = levels include 1 (2 will be available shortly)
      TRANGE   = (Optional) Time range of interest  (2 element array), if
                 this is not set, the default is to prompt the user. Note
                 that if the input time range is not a full day, a full
                 day's data is loaded
      LOCAL_DATA_DIR = local directory to store the CDF files; should be set if
                 you're on *nix or OSX, the default currently assumes the IDL working directory
      SOURCE   = sets a different system variable. By default the MMS mission system variable
                 is !lomo
      TPLOTNAMES = set to override default names for tplot variables
      NO_UPDATES = use local data only, don't query the http site for updated files.
      SUFFIX   = append a suffix to tplot variables names

    EXAMPLE:
       lomo_load_eng, trange=['2016-06-24', '2016-06-25']

    NOTES:
      Need to add feature to handle more than one days worth of data
      Need to add feature to delete variables that weren't requested by the user

(See projects/lomonosov/lomo_load_eng.pro)

## LOMO_LOAD_EPD

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      lomo_load_epd
               This routine loads local ELFIN EPD Lomonosov data.
    KEYWORDS (commonly used by other load routines):
      DATATYPE =  for epd there are two datatypes: epde, epdi
      LEVEL    = levels include 1 (2 will be available shortly)
      TRANGE   = (Optional) Time range of interest  (2 element array), if
                 this is not set, the default is to prompt the user. Note
                 that if the input time range is not a full day, a full
                 day's data is loaded
      LOCAL_DATA_DIR = local directory to store the CDF files; should be set if
                 you're on *nix or OSX, the default currently assumes the IDL working directory
      SOURCE   = sets a different system variable. By default the MMS mission system variable
                 is !lomo
      TPLOTNAMES = set to override default names for tplot variables
      NO_UPDATES = use local data only, don't query the http site for updated files.
      SUFFIX   = append a suffix to tplot variables names

    EXAMPLE:
       lomo_load_epd,datatype='epde', trange=['2016-06-24', '2016-06-25']

    NOTES:
      Need to add feature to handle more than one days worth of data
      Need to add feature to delete variables that weren't requested by the user

(See projects/lomonosov/lomo_load_epd.pro)

## LOMO_LOAD_PRM

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      lomo_load_prm
               This routine loads local ELFIN PRM Lomonosov data.
    KEYWORDS (commonly used by other load routines):
      DATATYPE =  for prm there is only one datatype: mag
      LEVEL    = levels include 1. level 2 will be available shortly.
      TRANGE   = (Optional) Time range of interest  (2 element array), if
                 this is not set, the default is to prompt the user. Note
                 that if the input time range is not a full day, a full
                 day's data is loaded
      LOCAL_DATA_DIR = local directory to store the CDF files; should be set if
                 you're on *nix or OSX, the default currently assumes the IDL working directory
      SOURCE   = sets a different system variable. By default the MMS mission system variable
                 is !lomo
      TPLOTNAMES = set to override default names for tplot variables
      NO_UPDATES = use local data only, don't query the http site for updated files.
      SUFFIX   = append a suffix to tplot variables names

    EXAMPLE:
       lomo_load_prm,trange=['2016-06-24', '2016-06-25']

    NOTES:
      Need to deal with level 2
      Need to add feature to handle more than one days worth of data
      Implement tplotnames and suffix

(See projects/lomonosov/lomo_load_prm.pro)

## LOMO_LOAD_STATE

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      lomo_load_state
               This routine loads local ELFIN ENG Lomonosov data.
    KEYWORDS (commonly used by other load routines):
      DATATYPE = (Currently downloads all data types. Should change that.)
      LEVEL    = levels include 1 (2 will be available shortly)
      TRANGE   = (Optional) Time range of interest  (2 element array), if
                 this is not set, the default is to prompt the user. Note
                 that if the input time range is not a full day, a full
                 day's data is loaded
      LOCAL_DATA_DIR = local directory to store the CDF files; should be set if
                 you're on *nix or OSX, the default currently assumes the IDL working directory
      SOURCE   = sets a different system variable. By default the MMS mission system variable
                 is !elf
      TPLOTNAMES = set to override default names for tplot variables
      NO_UPDATES = use local data only, don't query the http site for updated files.
      SUFFIX   = append a suffix to tplot variables names

    EXAMPLE:
       lomo_load_state, trange=['2016-06-24', '2016-06-25']

    NOTES:
      Need to add feature to handle more than one days worth of data
      Need to add feature to delete variables that weren't requested by the user

(See projects/lomonosov/lomo_load_state.pro)

## LOMO_RBSP_ANALYSIS

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      lomo_rbsp_analysis
               This routine loads local ELFIN ENG Lomonosov data.

    KEYWORDS (commonly used by other load routines):
      DATATYPE = (Currently downloads all data types. Should change that.)
      LEVEL    = levels include 1 (2 will be available shortly)
      TRANGE   = (Optional) Time range of interest  (2 element array), if
                 this is not set, the default is to prompt the user. Note
                 that if the input time range is not a full day, a full
                 day's data is loaded
      LOCAL_DATA_DIR = local directory to store the CDF files; should be set if
                 you're on *nix or OSX, the default currently assumes the IDL working directory
      SOURCE   = sets a different system variable. By default the MMS mission system variable
                 is !elf
      TPLOTNAMES = set to override default names for tplot variables
      NO_UPDATES = use local data only, don't query the http site for updated files.
      SUFFIX   = append a suffix to tplot variables names

    EXAMPLE:
       lomo_load_eng, trange=['2016-06-24', '2016-06-25']

    NOTES:
      *********Need to compile aacgmidl.pro first*********
      *********Need to run aacgmidl_example and aacgm_plot*******
      *********Need to install cspice_install (run > print, spice_test() for directions)********

(See projects/lomonosov/lomo_rbsp_analysis.pro)

## LOMO_UI_LOAD_DATA

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      lomo_ui_load_data

    PURPOSE:
      This routine provides examples for building load data panel widgets and
      handles the widget events it produces. This is a template only and creates
      basic widgets that are common to most missions.
      Each mission is different. Some widgets may need to be added to fully specify
      the data set to be loaded or some may not be needed.

    HISTORY:
    $LastChangedBy: jimm $
    $LastChangedDate: 2014-02-11 10:54:32 -0800 (Tue, 11 Feb 2014) $
    $LastChangedRevision: 14326 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/tags/spedas_1_00/spedas/gui/api_examples/load_data_tab/lomo_ui_load_data.pro $

(See projects/lomonosov/lomo_ui_load_data.pro)

## LOMO_UI_LOAD_DATA_LOAD_PRO

[Previous Routine] [List of Routines]

    NAME:
      lomo_ui_load_data_load_pro

    PURPOSE:
      This routine provides an example for loading data into the GUI from the load
      data panel. The purpose of this routine is to provide a wrapper around the
      actual load data procedure (which is mission specific). This routine handles
      all the 'administrative' work of validating times, checking if data exists,
      and adding the data to the GUI's loadedData object. The loadedData object
      loads and tracks all data that is available to the GUI.

     INPUT:
      loadStruc - this structure contains all the mission specific information that
                  is required by the procedure that loads the data.
                  For purposes of demonstration, this rouine uses the following
                  parameters:
                  instrument - character string (or array) containing the name of
                               the instrument such as 'fgm', 'epd', or eng
                  datalevel - L1 or L2
                  datatype - for fgm (mag)
                           - add types for epd and eng
                  time range - an array of 2 character strings containing the
                               start and stop times of the data to be loaded.
                               ['2007-03-23/00:00:00', '2007-03-24/00:00:00']
      loadedData - the loaded data object contains information on all variables
                   currently loaded in the gui. This object is used by many other
                   panels to display the variables that are available to the GUI.
                   Whenever new data is imported to the GUI this object must be
                   updated.
      statusBar - the status bar object used to display textual information
                  for the user and is located at the bottom of the load windows.
                  This object can be used to inform the user of successful
                  executions, warnings, and/or errors.
      historyWin - the history window object displays all messages generated
                   during this session.
      parent_widget_id - the widget ID of the parent. This ID is needed for
                         appropriate layering and modality of popups

      KEYWORDS (OPTIONAL):
      replay - set this flag to replay previous dproc operations
      overwrite - this flag allows the replay of user overwrites

    HISTORY:

    ;$LastChangedBy: jimm $
    $LastChangedDate: 2014-02-11 10:54:32 -0800 (Tue, 11 Feb 2014) $
    $LastChangedRevision: 14326 $
    $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/tags/spedas_1_00/spedas/gui/api_examples/load_data_tab/lomo_ui_load_data_load_pro.pro $

(See projects/lomonosov/lomo_ui_load_data_load_pro.pro)